import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:hls_player/hls_player.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  static Future<void> initPlatformState() async {
    const uRL_VIDEO =
        "http://200.23.206.107:18080/canales/miscelaneos/docubox/playlist.m3u8";
    const uRL_VIDEO2 =
        "http://181.65.250.202:1935/cristianos/bethel/playlist.m3u8";
    const uRL_VIDEO3 =
        r"https://181.65.250.202/33h_x86_64_$d28b8ab7c54479c4a5c4/canales/nacionales/latele/playlist.m3u8";

    final canales = [uRL_VIDEO, uRL_VIDEO2, uRL_VIDEO3];

    try {
      await HlsPlayer.initializeVideo(url: uRL_VIDEO).then((onValue) {
        print(onValue);
      }).catchError((onError) {
        final PlatformException x = onError;
        print(x.message);
      });
    } on PlatformException {}
  }

  Widget testWidget = new MediaQuery(
    data: new MediaQueryData(),
    child: new MaterialApp(
      home: Scaffold(
          body: RaisedButton(
        child: Text(
          'Search',
          style: TextStyle(fontSize: 18.0),
        ),
        onPressed: () {
          initPlatformState();
        },
      )),
    ),
  );

  @override
  Widget build(BuildContext context) {
    return testWidget;
  }
}
