import Flutter

import UIKit
import AVFoundation
import Foundation
import AVKit

public class SwiftHlsPlayerPlugin: UIViewController, FlutterPlugin {
    var playerViewController : AVPlayerViewController = AVPlayerViewController() ;


  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "hls_player", binaryMessenger: registrar.messenger())
    let instance = SwiftHlsPlayerPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {

        switch call.method {
                            case "initialize":
                              let myArguments = call.arguments as? [String : String]
                              let url: String? = myArguments?["url"]!
                         
  
                            let videoURL = URL(string: url!)!
                            self.playerViewController.player = AVPlayer(url: videoURL)
                            self.playerViewController.player?.play()
                
                    
                          if( !self.playerViewController.isBeingPresented) {
                                      // Present your ViewController only if its not present to the user currently.
                                  DispatchQueue.main.async { UIApplication.shared.keyWindow?.rootViewController?.present(self.playerViewController, animated: true, completion: nil);  }
                            result("Exito " + UIDevice.current.systemVersion + " url parameter: "+url!)
                            }else{

                            result("Fracaso " + UIDevice.current.systemVersion + " url parameter: "+url!)
                            }
        

                break;


               case "pause":
                            self.playerViewController.player?.pause()

                        break;

          default:
              result(FlutterMethodNotImplemented)
                
        }
      
       
    }
        


  



}
/*

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
   

        switch call.method {
                            case "initialize":
                              let myArguments = call.arguments as? [String : String]
                              let url: String? = myArguments?["url"]
                         

                            result("iOS " + UIDevice.current.systemVersion + " url parameter: "+url!)
                    

                break;
                
        }

  }
  
}
*/
