//  ViewController.swift
//
//  Created by patrick piemonte on 11/26/14.
//
//  The MIT License (MIT)
//
//  Copyright (c) 2014-present patrick piemonte (http://patrickpiemonte.com/)
//
//  Permission is hereby granted, free of charge, to any person obtaining a copy
//  of this software and associated documentation files (the "Software"), to deal
//  in the Software without restriction, including without limitation the rights
//  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
//  copies of the Software, and to permit persons to whom the Software is
//  furnished to do so, subject to the following conditions:
//
//  The above copyright notice and this permission notice shall be included in all
//  copies or substantial portions of the Software.
//
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
//  SOFTWARE.

import UIKit
import AVFoundation
import Foundation
import AVKit

class ViewController: UIViewController {

    var isInitialized: Bool = false
    var avPlayer: AVPlayer  = AVPlayer()
    var isPlaying:Bool{
       return   ViewController.GlobalVariable.isPlaying
    }
    
    var isLooping:Bool{
       return   !ViewController.GlobalVariable.isLoopingx
    }
    
     struct GlobalVariable{
          static var playerViewController = CustomAVPlayerViewController()
          static var isPlaying = Bool()
          static var isLoopingx = Bool()
      }
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    var playerViewController : CustomAVPlayerViewController = CustomAVPlayerViewController() ;
    
    
    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)

        let videoURL = URL(string: "http://200.23.206.107:18080/canales/nacionales/tvnHD2/playlist.m3u8")!
        ViewController.GlobalVariable.playerViewController = CustomAVPlayerViewController()
        ViewController.GlobalVariable.playerViewController.player = AVPlayer(url: videoURL)
        
        self.playerViewController = ViewController.GlobalVariable.playerViewController
        
        self.isInitialized = true;
        self.playerViewController.showsPlaybackControls = false
        
        self.present( self.playerViewController , animated: true) {
            self.play()
        }
    }
    
    
    public func setIsLooping() {
        print(isLooping)
        if ViewController.GlobalVariable.isLoopingx {
            
            NotificationCenter.default.addObserver(forName: .AVPlayerItemDidPlayToEndTime, object: ViewController.GlobalVariable.playerViewController.player?.currentItem, queue: .main) { [weak self] _ in
                ViewController.GlobalVariable.playerViewController.player?.seek(to: CMTime.zero)
                ViewController.GlobalVariable.playerViewController.player?.play()
            }
            
            ViewController.GlobalVariable.isLoopingx = false
          } else {
            
            NotificationCenter.default.addObserver(forName: .AVPlayerItemDidPlayToEndTime, object: ViewController.GlobalVariable.playerViewController.player?.currentItem, queue: .main) { [weak self] _ in
                ViewController.GlobalVariable.playerViewController.player?.play()
            }

            ViewController.GlobalVariable.isLoopingx = true
          }
      }

    
    public func updateStatus() {
        
        if self.isPlaying {
            self.pause()
          } else {
              self.play()
          }
      }

    
    func play(){
        ViewController.GlobalVariable.playerViewController.player?.play()
        ViewController.GlobalVariable.isPlaying = true
    }
    
    func pause(){
       ViewController.GlobalVariable.playerViewController.player?.pause()
       ViewController.GlobalVariable.isPlaying = false
   }
     
}
 
