import 'dart:async';

import 'package:flutter/services.dart';
import 'package:meta/meta.dart';

class HlsPlayer {
  static const MethodChannel _channel = const MethodChannel('hls_player');

  static Future<String> initializeVideo(
      {@Required('url parameter required') String url}) async {
    final String version = await _channel.invokeMethod(
      'initializeVideo',
      <String, dynamic>{
        'canales': url,
      },
    );
    return version;
  }

  static Future<String> initializeZapping(
      {@Required('canales parameter required') List canales}) async {
    final String version = await _channel.invokeMethod(
      'initializeZapping',
      <String, dynamic>{
        'canales': canales,
      },
    );
    return version;
  }
}
